Page 1 of 2

Update 1.68.2 for Z10 not installing! DO NOT UPDATE Z10 V.!

PostPosted: Wed Feb 20, 2013 3:37 pm
by dmitrykos
What is the problem:

There is problem with latest 1.68.2 version for Z10. Due to the fact that it is targeted to the firmware version which is not yet released for Z10s the package is not installing.

When it will be fixed:

Today there will be an update submitted with version rolled back as it was in 1.68.0 which worked ok. May be it will be approved quicker this time.

Why it happened:

Neutron 1.68.2 used latest NDK and targeted towards firmware version which is released for Dev Alpha on 31.01.2013 but appears that Z10 still do not have that firmware yet!!! I do not understand why BB made it possible and confused developers who are on Dev Alphas. Developer's Limited Edition Z10 is still to be delivered and thus majority of developers still are on Dev Alpha devices. Those devs who will use latest tools and target latest firmware version of Dev Alpha and assuming is that Z10 is receiving the same firmware at the same time will run into the same problem as Neutron 1.68.2 update for BB10 platform.

Here is the screenshot of Dev Alpha About screen:
IMG_00000005.png
IMG_00000005.png (143.68 KiB) Viewed 6928 times


Today there will be an update submitted with version rolled back as it was in 1.68.0 which worked ok. May be it will be approved quicker this time.

I really apologize for the problem caused!!! again for those who own PlayBooks too ... :(

Re: Update 1.68.2 for Z10 not installing! DO NOT UPDATE Z10

PostPosted: Wed Feb 20, 2013 3:48 pm
by dmitrykos
If Z10 receives firmware update earlier than Neutron update 1.68.3 is approved by BB World then problem will be solved by itself.

Re: Update 1.68.2 for Z10 not installing! DO NOT UPDATE Z10

PostPosted: Wed Feb 20, 2013 3:51 pm
by willardv
Your fast response is really appreciated!

Thanks for all your work!

Re: Update 1.68.2 for Z10 not installing! DO NOT UPDATE Z10

PostPosted: Wed Feb 20, 2013 4:59 pm
by snake785
Ah, well that makes a lot of sense. Thanks for the detailed explanation. It's much appreciated.

It's too bad that the latest release isn't backwards compatible with older versions of the OS. Hopefully Blackberry can fix that with newer versions of the NDK since most of us can't rely on our carriers to release new versions of OS10 in a timely manner (if at all).

Re: Update 1.68.2 for Z10 not installing! DO NOT UPDATE Z10

PostPosted: Wed Feb 20, 2013 9:21 pm
by dmitrykos
It looks like Dev Alphas are ahead in their firmware update and thus it played bad joke with 1.68.2 update. I hope Limited Edition Z10 comes soon and thus such issue won't happen again.

Re: Update 1.68.2 for Z10 not installing! DO NOT UPDATE Z10

PostPosted: Thu Feb 28, 2013 3:49 am
by primusd
Hi Dmitry,

Just wondering if there is any news on availability for the z10. Really missing my NMP!

Thanks.

Re: Update 1.68.2 for Z10 not installing! DO NOT UPDATE Z10

PostPosted: Fri Mar 01, 2013 12:28 am
by primusd
Neutron installs/works on z10 again!!

Canadian telecos push update - Rogers, Fido and TELUS now rolling out OS 10.0.10.672
http://crackberry.com/rogers-and-fido-n ... kberry-z10

Tried clicking on the direct BBWorld link - http://appworld.blackberry.com/webstore/content/128241/ - and install option appears. Clicked and it worked!!

Re: Update 1.68.2 for Z10 not installing! DO NOT UPDATE Z10

PostPosted: Fri Mar 01, 2013 8:31 am
by dmitrykos
Hi Guys! :)

This time update approval took less time. It was approved today and you shall be able to update now even if Z10 has very first version of firmware. From now on I hope the nightmare with these platform incompatibilities is over once and for all.

Best regards,
Dmitry.

Re: Update 1.68.2 for Z10 not installing! DO NOT UPDATE Z10

PostPosted: Fri Mar 01, 2013 1:22 pm
by snake785
Just got both the Neutron update and an OS update from my carrier and Neutron is working great.

Thanks again for your hard work and support, Dmitry! :)

Re: Update 1.68.2 for Z10 not installing! DO NOT UPDATE Z10

PostPosted: Fri Mar 01, 2013 2:42 pm
by primusd
dmitrykos wrote:Hi Guys! :)

This time update approval took less time. It was approved today and you shall be able to update now even if Z10 has very first version of firmware. From now on I hope the nightmare with these platform incompatibilities is over once and for all.

Best regards,
Dmitry.


Thanks Dmitry!!

Q: I have 1.68.2.4 installed now and aside from the SD card issue, it seems to be working fine. Should I update to the new .3.2 (or is this actually a kind of downgrade closer to previous version that works on 10.0.9.x OS?)